Summary
Alters a device configuration
Description
Apply specified changes to a device configuration
Route
POST /configuration_manager/patch_device/:deviceName
Roles
admin
apiwrite
Parameters
Details Example Schema
Name
Type
Required
Description
deviceName
string
yes
-
changes
array
yes
-
Copied to Clipboard
{
"changes": [
{
"parents": [
"parent line of config",
"parent line of config",
"parent line of config",
"parent line of config",
"parent line of config"
],
"old": "old config line",
"new": null
}
]
}
Copied to Clipboard
{
"type": "object",
"properties": {
"changes": {
"title": "changes",
"type": "array",
"items": {
"type": "object",
"properties": {
"parents": {
"type": "array",
"items": {
"type": "string",
"examples": [
"parent line of config"
]
}
},
"old": {
"anyOf": [
{
"const": null
},
{
"type": "string"
}
],
"examples": [
"old config line",
null
]
},
"new": {
"anyOf": [
{
"const": null
},
{
"type": "string"
}
],
"examples": [
"new config line",
null
]
}
}
}
}
},
"required": [
"changes"
],
"additionalProperties": false
}
Return
Details Example Schema
Name
Type
Description
patchResult
object
Direct reponse from the origin's adapter
Copied to Clipboard
{
"response": [
{
"result": true,
"parents": [
"adipisicing",
"in est Lorem ea dolore",
"deserunt enim magna amet aute",
"anim Lorem Ut"
],
"new": "culpa commodo adipisicing Ut aliqua",
"old": "nulla magna voluptate"
},
{
"result": true,
"parents": [
"culpa esse ut",
"velit cillum voluptate",
"in nulla ut sed voluptate"
],
"new": "magna nisi in aliqua",
"old": "non reprehenderit occaecat ut"
},
{
"result": true,
"parents": [
"labore occaecat incididunt aliqua",
"in",
"magna voluptate ut ex in",
"nisi Ut proident"
],
"new": "tempor Ut",
"old": "do qui occaecat"
},
{
"result": true,
"parents": [
"Lorem nisi ad irure non",
"id magna"
],
"new": "fugiat",
"old": "consectetur incididunt aliquip tempor quis"
},
{
"result": true,
"parents": [
"ea et dolor sit",
"dolor nisi consequat",
"ut elit",
"nulla sunt",
"in laborum occaecat pariatur tempor"
],
"new": "pariatur ullamco deserunt ea Ut",
"old": "aliquip"
}
]
}
Copied to Clipboard
{
"title": "patchResult",
"type": "object",
"properties": {
"response": {
"type": "array",
"items": {
"type": "object",
"properties": {
"result": {
"type": "boolean"
},
"parents": {
"type": "array",
"items": {
"type": "string"
}
},
"new": {
"type": "string"
},
"old": {
"type": "string"
}
}
}
}
}
}